Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1421150 - Container Review Request: mariadb - MariaDB is a multi-user, multi-threaded SQL database server
Summary: Container Review Request: mariadb - MariaDB is a multi-user, multi-threaded S...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matus Kocka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 13:49 UTC by Honza Horak
Modified: 2017-03-06 20:32 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-06 20:32:50 UTC
Type: ---
praiskup: fedora-review+


Attachments (Terms of Use)

Description Honza Horak 2017-02-10 13:49:12 UTC
Dockerfile URL: https://hhorak.fedorapeople.org/mariadb-docker/Dockerfile
Other files URL: https://hhorak.fedorapeople.org/mariadb-docker/root/

Description: This container image provides a containerized packaging of the MariaDB mysqld daemon and client application. The mysqld server daemon accepts connections from clients and provides access to content from MySQL databases on behalf of the clients. You can find more information on the MariaDB project from the project Web site (https://mariadb.org/).

Fedora Account System Username: hhorak

Comment 1 Matus Kocka 2017-02-13 15:24:45 UTC
Hello Honza, 
I am going to review this.

Comment 2 Matus Kocka 2017-02-17 10:40:40 UTC
Hello

/usr/bin/run-mysqld: line 4: /usr/share/container-scripts/mysql/common.sh: No such file or directory
/usr/bin/run-mysqld: line 10: log_info: command not found

there is no common.sh file, but you are source-ing it in run-mysqld line 4

source ${CONTAINER_SCRIPTS_PATH}/common.sh

Comment 3 Matus Kocka 2017-02-17 10:44:12 UTC
Ignore that comment please, my fail.

Comment 4 Matus Kocka 2017-02-20 16:27:14 UTC
I see only one potential issue: 
some files in /root/usr/bin need to have +x rights. I downloaded them using wget and I need to manually set them correct rights. 
It can be useful to have this chmod command also in Dockerfile.

Comment 5 Matus Kocka 2017-02-20 16:28:58 UTC
Flags: fedora-review+

Comment 6 Gwyn Ciesla 2017-02-24 18:08:18 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/docker/mariadb

Comment 7 Honza Horak 2017-03-06 20:32:50 UTC
MariaDB Docker image is now available in the Fedora registry. Closing this bug.


Note You need to log in before you can comment on or make changes to this bug.